Bug 212535 - /etc/passwd disables root account
/etc/passwd disables root account
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 05:53 EDT by Till Maas
Modified: 2015-03-04 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2006-10-27 05:53:09 EDT
Description of problem:

/etc/passwd contains
root:*:0:0:root:/root:/bin/bash
which seems to disable the root account. After an upgrade from FC5there is
/etc/passwd.rpmnew, where also every other account is disabled.

Version-Release number of selected component (if applicable):
2.5.55-1

How reproducible:

always

Steps to Reproduce:
1. Upgrade from Fedora Core 5
  
Actual results:

/etc/passwd.rpmnew is created with disabled accounts

Expected results:

no /etc/passwd.rpmnew is created.

Additional info:

The line for root should maybe changed to root:x:0:0:root:/root:/bin/bash
like it was suggested in #138878
Comment 1 Phil Knirsch 2006-10-27 09:47:10 EDT
If your local /etc/passwd file has been modified this is the expected and
documented behaviour for config files updates which are %config(noreplace).

If you think that this is somehow related to something else please let me know.

Read ya, Phil
Comment 2 Till Maas 2006-10-27 10:16:36 EDT
The /etc/passwd in setup-2.5.55-1.fc6 looks like:

root:*:0:0:root:/root:/bin/bash
bin:*:1:1:bin:/bin:/sbin/nologin
daemon:*:2:2:daemon:/sbin:/sbin/nologin
adm:*:3:4:adm:/var/adm:/sbin/nologin
[...]

For this reason a /etc/passwd.rpmnew is created, with the above contents. (The
existing /etc/passwd on most fedora machines differs in two ways, it contains
more entries and in the second column is an "x" instead of an "*". The "*"
instead of "x" would deactivate the regarding account. I think that noone wants
to deactivite a lot of systems accounts on his machine, but it may a security
feature, so I do not see any reason, why the /etc/passwd.rpmnew differs in this
way. Merging the changes from the new /etc/passwd.rpmnew to the actual
/etc/passwd would render the system useless.

I do not completly understand whether or not the non-root accounts should be
changed to deactivated state, because the meanings of "*" and "x" seem not to be
well documented - I cannot find a word about it in the regarding manpages.
Nevertheless deactivating the root account seems to be a bad idea.

I hope you can understand, what I am trying to say :-)
Comment 3 Phil Knirsch 2006-10-27 10:37:52 EDT
Well, i think i understand what you mean, but the problem still says the same:

Neither setup itself nor rpm with it's capabilites can "convert" an old
/etc/passwd to a new one.

If the file changed on the system the only safe thing in this case that rpm can
do is to install the file as a .rpmnew file and leave it to the sysadmin to
verify and in case changes need to be made modify the existing original /etc/passwd.

Anything else could and probably would in some cases render a machine completely
inaccessible after an update, something you want even less than a .rpmnew file i
suspect. ;)

So in my personal view this is not a bug but an expected and actually good
behaviour (not possibly screwing up your system is good imo :) ).

Read ya, Phil
Comment 4 Phil Knirsch 2006-10-27 10:40:44 EDT
Or to put it in Bill's words:

  Changing the default password file makes upgrades a mess, as you have
to code in hacks to get changes propagated to users systems.

Thats what we're seeing now for updates and we deliberately didn't want to make
any hacks to "most of the time" upgrade your system safely.

Read ya, Phil
Comment 5 Till Maas 2006-10-27 12:39:54 EDT
I understand why rpm creates a .rpmnew file but I do not understand whether or
not there are now changes, that should be made to /etc/passwd, should the "x"s
in /etc/passwd now be changed to "*"s or not? (The answer imho is: no, since it
makes it impossible to login as root), but if the "x"s should not be changed to
"*"s, why are there "*"s in the new /etc/passwd(.rpmnew) file?
Comment 6 Bug Zapper 2008-04-04 00:10:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:34:37 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Nicola Soranzo 2008-09-25 20:34:19 EDT
(In reply to comment #5)
> I understand why rpm creates a .rpmnew file but I do not understand whether or
> not there are now changes, that should be made to /etc/passwd, should the "x"s
> in /etc/passwd now be changed to "*"s or not? (The answer imho is: no, since it
> makes it impossible to login as root), but if the "x"s should not be changed to
> "*"s, why are there "*"s in the new /etc/passwd(.rpmnew) file?

I also would like to know the answer to this (old) question, it's quite strange default.

Note You need to log in before you can comment on or make changes to this bug.